/////////////////////////////////////////////////////////
// MirrorY

precision mediump float;
//The current foreground texture co-ordinate
varying mediump vec2 vTex;
//The foreground texture sampler, to be sampled at vTex
uniform lowp sampler2D samplerFront;

//The current foreground source rectangle being rendered
uniform mediump vec2 srcOriginStart;
uniform mediump vec2 srcOriginEnd;


void main(void)
{
    float nx = (vTex.x - srcOriginStart.x)/(srcOriginEnd.x-srcOriginStart.x);
	nx = 1.0 - nx;
	// nx = nx * (srcOriginEnd.x-srcOriginStart.x) + srcOriginStart.x;
	nx = mix(srcOriginStart.x, srcOriginEnd.x, nx);
	gl_FragColor = texture2D(samplerFront, vec2(nx, vTex.y));
}